Module java.desktop
Package javax.print

# Class DocFlavor.CHAR_ARRAY

java.lang.Object
javax.print.DocFlavor
javax.print.DocFlavor.CHAR_ARRAY

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Enclosing class:
  DocFlavor

public static class DocFlavor.CHAR_ARRAY extends DocFlavor
Class `DocFlavor.CHAR_ARRAY` provides predefined static constant `DocFlavor` objects for example doc flavors using a character array (`char[]`) as the print data representation class. As such, the character set is Unicode.

See Also:
  Serialized Form

## Nested Class Summary

## Nested classes/interfaces declared in class javax.print.DocFlavor

`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

## Field Summary

Fields
Modifier and Type
Field
Description
`static DocFlavor.CHAR_ARRAY`
`TEXT_HTML`
Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"[C"` (character array).
`static DocFlavor.CHAR_ARRAY`
`TEXT_PLAIN`
Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"[C"` (character array).

### Fields declared in class javax.print.DocFlavor

`hostEncoding`

## Constructor Summary

Constructors
Constructor
Description
`CHAR_ARRAY​(String mimeType)`
Constructs a new doc flavor with the given MIME type and a print data representation class name of `"[C"` (character array).

## Method Summary

### Methods declared in class javax.print.DocFlavor

`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TEXT_PLAIN

public static final DocFlavor.CHAR_ARRAY TEXT_PLAIN
Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"[C"` (character array).

### TEXT_HTML

public static final DocFlavor.CHAR_ARRAY TEXT_HTML
Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"[C"` (character array).

## Constructor Details

### CHAR_ARRAY

public CHAR_ARRAY​(String mimeType)
Constructs a new doc flavor with the given MIME type and a print data representation class name of `"[C"` (character array).

Parameters:
  `mimeType` - MIME media type string. If it is a text media type, it is assumed to contain a `"charset=utf-16"` parameter.
Throws:
  `NullPointerException` - if `mimeType` is `null`
  `IllegalArgumentException` - if `mimeType` does not obey the syntax for a MIME media type string